> ## Documentation Index
> Fetch the complete documentation index at: https://codegeninc-codegen-bot-add-docker-hub-docs-1749227313.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Organizations

> Get organizations for the authenticated user.

Returns a paginated list of all organizations that the authenticated user is a member of.
Results include basic organization details such as name, ID, and membership information.
Use pagination parameters to control the number of results returned.

Rate limit: 60 requests per 30 seconds.



## OpenAPI

````yaml api-reference/openapi3.json get /v1/organizations
openapi: 3.1.0
info:
  title: Developer API
  description: API for application developers
  version: 1.0.0
servers:
  - url: https://api.codegen.com
    description: Codegen API
security: []
paths:
  /v1/organizations:
    get:
      tags:
        - organizations
        - organizations
        - organizations
      summary: Get Organizations
      description: >-
        Get organizations for the authenticated user.


        Returns a paginated list of all organizations that the authenticated
        user is a member of.

        Results include basic organization details such as name, ID, and
        membership information.

        Use pagination parameters to control the number of results returned.


        Rate limit: 60 requests per 30 seconds.
      operationId: get_organizations_v1_organizations_get
      parameters:
        - name: skip
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Skip
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
            title: Limit
        - name: authorization
          in: header
          required: false
          schema:
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_OrganizationResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIRateLimitErrorResponse'
          description: Too Many Requests
components:
  schemas:
    Page_OrganizationResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/OrganizationResponse'
          type: array
          title: Items
        total:
          type: integer
          title: Total
        page:
          type: integer
          title: Page
        size:
          type: integer
          title: Size
        pages:
          type: integer
          title: Pages
      type: object
      required:
        - items
        - total
        - page
        - size
        - pages
      title: Page[OrganizationResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    APIRateLimitErrorResponse:
      properties:
        message:
          type: string
          title: Message
          default: Rate limit exceeded. Please try again later.
        status_code:
          type: integer
          title: Status Code
          default: 429
      type: object
      title: APIRateLimitErrorResponse
    OrganizationResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        settings:
          $ref: '#/components/schemas/OrganizationSettings'
      type: object
      required:
        - id
        - name
        - settings
      title: OrganizationResponse
      description: Represents an organization in API responses
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    OrganizationSettings:
      properties:
        enable_pr_creation:
          type: boolean
          title: Enable Pr Creation
          default: true
        enable_rules_detection:
          type: boolean
          title: Enable Rules Detection
          default: true
      type: object
      title: OrganizationSettings

````